Bug 478569 - Atheros wireless doesn't work on Eurocom notebook
Atheros wireless doesn't work on Eurocom notebook
Status: CLOSED DUPLICATE of bug 479049
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-01 00:01 EST by Larry Troan
Modified: 2016-04-18 05:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 10:06:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (640.70 KB, application/x-bzip)
2009-01-01 00:03 EST, Larry Troan
no flags Details

  None (edit)
Description Larry Troan 2009-01-01 00:01:11 EST
Description of problem:
Atheros driver not recognized on Eurocom 19.1" notebook  

Version-Release number of selected component (if applicable):
RHEL5.3 RC bits x86_64 xen platform

How reproducible:
Install the rc bits and boot. Wired eth1 works fine but eth0 Atheros wireless does not work. System has AMD processor and nVidia support chipset.

 
Actual results:
Wireless doesn't work

Expected results:
Wireless should work

Additional info:
sosreport attached. Hardware in my office in Raleigh.

Sorry John. The wired port usually comes up on eth0 with wireless on eth1. With this system they are reversed.
Comment 1 Larry Troan 2009-01-01 00:03:39 EST
Created attachment 328030 [details]
sosreport

sosreport md5sum is: 8b75746fe4afa3d74aa139080961af87
Comment 3 Larry Troan 2009-01-01 00:10:32 EST
Correction: Booted with non-xen kernel....

[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.18-128.el5 #1 SMP Wed Dec 17 11:41:38 EST 2008 x86_64 x86_64 x86_64 GNU/Linux
Comment 4 Michal Schmidt 2009-02-02 09:54:52 EST
From dmesg from the sosreport:
...
ACPI: PCI Interrupt 0000:02:00.0[A] -> Link [LNK1] -> GSI 16 (level, low) -> IRQ 177
PCI: Setting latency timer of device 0000:02:00.0 to 64
ath5k_pci 0000:02:00.0: registered as 'phy0'
ath5k phy0: failed to resume the MAC Chip
ACPI: PCI interrupt for device 0000:02:00.0 disabled
ath5k_pci: probe of 0000:02:00.0 failed with error -5
...

This looks similar to the report in bug 479049.

Could you test this kernel build?:
http://michich.fedorapeople.org/bz479049/
Comment 5 Larry Troan 2009-02-03 13:41:23 EST
JohnL tested Fedora10 on this notebook and wireless works fine. He says we need a major upgrade to the mac802.11 layer to support the later atheros upstream driver required here and the upgrade is not currently in-plan for RHEL5.

Let me know if you still want me to test the kernel referred to in comment #4. I have it in my office.
Comment 6 John W. Linville 2009-02-03 14:38:22 EST
Miscommunication -- a driver update should be sufficient.  It is just more difficult due to our need to freeze mac80211 where it is.  Fortunately, Michal worked his way through that.  Please test his kernel! :-)
Comment 7 Larry Troan 2010-05-17 10:06:12 EDT
Closed as a DUP of Bug 479049 [ath5k support] which was shipped in RHEL5.5 per errata http://rhn.redhat.com/errata/RHSA-2009-1243.html.

*** This bug has been marked as a duplicate of bug 479049 ***

Note You need to log in before you can comment on or make changes to this bug.